Summary:       High performance authentication against RFC 2865 RADIUS Servers
Name:          mod_auth_xradius
Version:       0.4.6
Release:       2%{?dist}
Group:         System Environment/Daemons
URL:           http://modauthmysql.sourceforge.net/
Source0:       http://www.outoforder.cc/downloads/mod_auth_xradius/mod_auth_xradius-%{version}.tar.bz2
Source1:       auth_xradius.conf
Patch0:        mod_auth_xradius-0.4.5-no_ap_prefix.diff
Patch1:        mod_auth_xradius-apu13_fix.diff
License:       ASL2.0
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: apr-util-devel
BuildRequires: httpd-devel

#Requires:      httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing httpd-devel)

%description
mod_auth_xradius provides high performance authentication against
RFC 2865 RADIUS Servers.

Features:

 o Supports popular RADIUS Servers including OpenRADIUS,
   FreeRADIUS and commercial servers.
 o Distributed Authentication Cache using apr_memcache.
 o Local Authentication Cache using DBM.
 o Uses standard HTTP Basic Authentication, unlike
 mod_auth_radius which uses cookies for sessions.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

# lib64 fixes
sed -i -e "s|/lib\ |/%{_lib}\ |g" m4/apr_memcache.m4
sed -i -e "s|/lib/|/%{_lib}/|g" m4/apr_memcache.m4
sed -i -e "s|/lib\b|/%{_lib}|g" m4/apr_memcache.m4

%build

export APR_MEMCACHE_LIBS="`apu-1-config --link-ld`"
export APR_MEMCACHE_CFLAGS="`apu-1-config --includes`"

%configure --localstatedir=/var/lib \
           --with-apxs=%{_sbindir}/apxs \
           --with-apr-memcache=%{_prefix}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -m755 .libs/%{name}.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules

# Install the config file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 %{SOURCE1} \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE NOTICE
%{_libdir}/httpd/modules/*.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf

%changelog
* Thu Jul 22 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> 0.4.6-2.ru
- Fixes in the .conf file

* Mon Jul 19 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> 0.4.6-1.ru
- Initial build
